namespace Knot.Contracts.Messaging.Application.Abstractions;

public interface IMessageNotifier 
{ 
    Task NotifyNewMessageAsync(Guid chatId, object messagePayload, CancellationToken cancellationToken); 
    Task NotifyMessageUpdateAsync(Guid chatId, string updateType, object updatePayload, CancellationToken cancellationToken); 
}
